Subject: bug#26887: closed (Re: bug#26887: [PATCH 01/11] gnu: libdrm: Update to 2.4.80.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 May 2017 23:38:07 +0000

Your bug report

#26887: [PATCH 01/11] gnu: libdrm: Update to 2.4.80.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26887: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26887
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26887: [PATCH 01/11] gnu: libdrm: Update to 2.4.80.
From: Kei Kebreau <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 May 2017 19:36:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Kei Kebreau <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Kei Kebreau <[email-masked]> writes:
>>
>>> Marius Bakke <[email-masked]> writes:
>>>
>>>> Kei Kebreau <[email-masked]> writes:
>>>>
>>>>> Kei Kebreau <[email-masked]> writes:
>>>>>
>>>>> These patches are intended for gnome-updates. The first three are merged
>>>>> from master. Also, the mutter patch is not functional yet, as it
>>>>> probably requires some updated package from master.
>>>>
>>>> I think it's better to merge master directly instead of cherry-picking
>>>> these patches. We'd want to do that before starting it on Hydra anyway.
>>>>
>>>> Would you like to do it? I think we can start building it shortly, Hydra
>>>> seems to have caught up with recent events. Maybe it'll be ready for the
>>>> release :)
>>>>
>>> I can merge master and put these on top, though I can't test my patches
>>> very quickly (building webkitgtk+ repeatedly on 10-year-old hardware \o/).
>>> If your computer(s) are faster, I'd be more than happy to let you finish
>>> this branch.
>>
>> I think these patches look fine (see other comments), at least up to
>> mutter. I'd suggest merging master and adding the patches leading to
>> it, as long as everyone is fine with adding wayland as a hard dependency
>> of gtk+.
>>
>> Then we can start an evaluation on Hydra to get some substitutes before
>> trying the mutter update :)
>
> Last call for objections to wayland as a hard dependency of gtk+ on the
> gnome-updates branch! This will be committed in approximately 24 hours
> otherwise.

The gnome-updates branch has been updated! I'll be closing all of my
related bugs.

Subject: [PATCH 01/11] gnu: libdrm: Update to 2.4.80.
From: Kei Kebreau <[email-masked]>
To: [email-masked]
Date: Thu, 11 May 2017 11:30:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Marius Bakke <[email-masked]>

* gnu/packages/xdisorg.scm (libdrm): Update to 2.4.80.
---
 gnu/packages/xdisorg.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xdisorg.scm b/gnu/packages/xdisorg.scm
index 89830a628..8d7f2195c 100644
--- a/gnu/packages/xdisorg.scm
+++ b/gnu/packages/xdisorg.scm
@@ -277,7 +277,7 @@ rasterisation.")
 (define-public libdrm
   (package
     (name "libdrm")
-    (version "2.4.79")
+    (version "2.4.80")
     (source
       (origin
         (method url-fetch)
@@ -287,7 +287,7 @@ rasterisation.")
                ".tar.bz2"))
         (sha256
          (base32
-          "15xiwnicf7vl1l37k8nj0z496p7ln1qp8qws7q13ikiv54cz7an6"))
+          "1wa9cnzf60xwx67zq9ay48xr3j3sn1z80q77jpbzmkg906b52am8"))
         (patches (search-patches "libdrm-symbol-check.patch"))))
     (build-system gnu-build-system)
     (inputs
-- 
2.13.0